function runscript()
	killenemies();
	killbullets();
	thunder();
	mus("");
	setanim("boopeebros", 2, 0, 2, 50, 0);	
	fallto("boopeebros", 12);
	sound("breakground", 3);
	rumble(10, 10);
	setanim("boopeebros", 1, 0, 2, 50, 0);
	wait(10);
	setanim("boopeebros", 2, 0, 2, 50, 0);
	setgravity("boopeebros", 15);
	sound("bigjump", 3);
	jump("boopeebros", -3);
	movex("boopeebros", 9.5);
	fallto("boopeebros", 12);
	if (getentx("boopeebros") > getplayerx()) then
		setdir(1);
	else
		setdir(0);
	end
	setanim("boopeebros", 1, 0, 2, 50, 0);
	sound("breakground", 3);
	rumble(10,10);
	wait(50);
	speaker("boopeebros");
	say("||BOOOOOOO||PEEEEEE||.|.|.|!||");
	wait(50);
	sound("bigenemydie", 3);
	explode(9.5, 11);
	wait(20);
	sound("bigenemydie", 3);
	explode(9.5, 10);
	explode(9.5, 12);
	explode(10.5, 11);
	explode(8.5, 11);
	wait(30);
	thunder();
	destroy("boopeebros");
	explode(9.5, 10);
	explode(9.5, 12);
	explode(10.5, 11);
	explode(8.5, 11);
	sound("bigenemydie", 3);
	createnpc("bazooka", 9.5, 11);
	setuse("bazooka", "bazooka-get")
	jump("bazooka", -5);
	createnpc("buzzdrin", 9.5, 11);
	setgravity("buzzdrin", 5);
	jump("buzzdrin", -10);
	fallto("buzzdrin", 12);
	sound("land", 3);
	mus("hover");
	wait(100);
	speaker("buzzdrin");
	say("Al Buzzdrin reporting for duty,|| sir!");
	wait(50);
	setanimtemplate("buzzdrin", ANIM_STAND_RIGHT);
	wait(50);
	setanimtemplate("buzzdrin", ANIM_STAND_LEFT);
	wait(50);
	setanimtemplate("buzzdrin", ANIM_STAND_RIGHT);
	wait(50);
	if (getentx("buzzdrin") > getplayerx()) then
		setanimtemplate("buzzdrin", ANIM_STAND_LEFT);
	else
		setanimtemplate("buzzdrin", ANIM_STAND_RIGHT);
	end
	wait(50);
	say("|||Where am I?");
	wait(100);
	say("Oh,|| hey,| you.");
	say("Are you the one that freed me?|||| Good show.");
	wait(50);
	say("You see,|| I was sent on a secret mission from top brass to defeat Boopee,| who had been bothering the citizens of Underside City.");
	say("Armed with just this Bazooka,|| and my nerves of steel,| I managed to infiltrate his secret hideout.||||||/n (...Here.)");
	say("||It was then that I fired one||, two,|| three rockets into his face and defeated him!");
	say("||||But nobody expected that he had a twin brother.");
	wait(50);
	say("||.||.||.|| Anyways, thanks for helping me escape,|| I was getting so desperate that I almost considered eating my way out.||.||.||");
	say("||||.||.||.||I've really got to be going now.");
	say("Underside City is just south of here.");
	say("You'll be needing this Bazooka to get there.");
	say("Take it,|| it's yours.");
	wait(50);
	say("Okay,|| bye.");
	wait(50);
	walktox("buzzdrin", 3);
	sound("jetpackstart", 3);
	explode(3, 12);
	jump("buzzdrin", -4);
	wait(10);
	fallto("buzzdrin", 10);
	destroy("buzzdrin");
	sound("door", 3);
	mus("");
	setanim("bazooka", 1, 0, 2, 10, 1);
end